Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh
Class SSHCompressorZLib

    java.lang.Object
      com.mindbright.ssh.SSHCompressor
          com.mindbright.ssh.SSHCompressorZLib

public final class SSHCompressorZLib
extends SSHCompressor

Field Summary

Fields inherited from class com.mindbright.ssh.SSHCompressor
`COMPRESS_MODE, UNCOMPRESS_MODE`

Constructor Summary
`SSHCompressorZLib()`

Method Summary
`void` | `compress(SSHPduOutputStream pdu)`
`void` | `init(int mode, int level)`
`long` | `numOfCompressedBytes()`
`long` | `numOfUncompressedBytes()`
`void` | `uncompress(SSHPduInputStream pdu)`

Methods inherited from class com.mindbright.ssh.SSHCompressor
`getInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSHCompressorZLib

    public SSHCompressorZLib()

Method Detail

### init

    public void init(int mode,
                     int level)

  Specified by:
    `init` in class `SSHCompressor`

### compress

    public void compress(SSHPduOutputStream pdu)
                  throws SSHCompressionException

  Specified by:
    `compress` in class `SSHCompressor`
  Throws:
    `SSHCompressionException`

### uncompress

    public void uncompress(SSHPduInputStream pdu)
                    throws SSHCompressionException

  Specified by:
    `uncompress` in class `SSHCompressor`
  Throws:
    `SSHCompressionException`

### numOfCompressedBytes

    public long numOfCompressedBytes()

  Specified by:
    `numOfCompressedBytes` in class `SSHCompressor`

### numOfUncompressedBytes

    public long numOfUncompressedBytes()

  Specified by:
    `numOfUncompressedBytes` in class `SSHCompressor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD